%define upstream_name  WWW-Mechanize
%define upstream_version 1.73

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	3

Summary:	Handy web browsing in a Perl object

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/WWW/WWW-Mechanize-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(CGI)
BuildRequires:	perl(HTML::Form)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl(URI)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::Memory::Cycle)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Warn)
BuildRequires:	perl(Test::LongString)
BuildRequires:	perl(HTTP::Daemon)
BuildRequires:	perl(HTTP::Response::Encoding)
BuildRequires:	perl(HTTP::Server::Simple::CGI)
BuildArch:	noarch

%description
WWW::Mechanize, or Mech for short, helps you automate interaction with a
website. It supports performing a sequence of page fetches including following
links and submitting forms. Each fetched page is parsed and its links and forms
are extracted. A link or a form can be selected, form fields can be filled and
the next page can be fetched. Mech also stores a history of the URLs you've
visited, which can be queried and revisited.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%install
%makeinstall_std

%check
make test

%files 
%doc Changes etc/www-mechanize-logo.png
%{perl_vendorlib}/WWW
%{_mandir}/*/*
%{_bindir}/*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.730.0-3
+ Revision: a1db4a4
- MassBuild#440: Increase release tag


